Bug 867908 - (CVE-2012-4524) CVE-2012-4524 xlockmore: Screensaver crash (screen lock bypass) when 'dclock' mode used
CVE-2012-4524 xlockmore: Screensaver crash (screen lock bypass) when 'dclock'...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121017,repor...
: Security
Depends On: 867910 867911
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 10:36 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-08 13:35:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Local copy of the proposed preliminary patch from [1] (1.46 KB, patch)
2012-10-18 10:39 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2012-10-18 10:36:25 EDT
A denial of service flaw was found in the way xlockmore, X screen lock and screen saver, performed passing arguments to underlying localtime() call, when the 'dlock' mode was used. An attacker could use this flaw to potentially obtain unauthorized access to screen / graphical session, previously locked by another user / victim.

CVE request (containing also patch proposal):
[1] http://www.openwall.com/lists/oss-security/2012/10/17/10
Comment 1 Jan Lieskovsky 2012-10-18 10:39:58 EDT
Created attachment 629482 [details]
Local copy of the proposed preliminary patch from [1]
Comment 2 Jan Lieskovsky 2012-10-18 10:41:06 EDT
This issue affects the versions of the xlockmore package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the version of the xlockmore package, as shipped with Fedora EPEL 6. Please schedule an update.
Comment 3 Jan Lieskovsky 2012-10-18 10:42:42 EDT
Created xlockmore tracking bugs for this issue

Affects: fedora-all [bug 867910]
Affects: epel-6 [bug 867911]
Comment 4 Fedora Update System 2012-11-20 14:40:33 EST
xlockmore-5.40-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.